import Moonbase from '@moonbaseai/sdk';const client = new Moonbase({ apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted});const view = await client.views.retrieve('id');console.log(view.id);
require "moonbase"
moonbase = Moonbase::Client.new(api_key: "My API Key")
view = moonbase.views.retrieve("id")
puts(view)
import os
from moonbase import Moonbase
client = Moonbase(
api_key=os.environ.get("MOONBASE_API_KEY"), # This is the default and can be omitted
)
view = client.views.retrieve(
"id",
)
print(view.id)
{
"type": "errors",
"errors": [
{
"type": "error",
"status": "400",
"title": "Bad Request",
"detail": "The request could not be understood due to malformed syntax or invalid parameters."
}
]
}
{
"type": "errors",
"errors": [
{
"type": "error",
"status": "401",
"title": "Unauthorized",
"detail": "Invalid or missing API key or JWT. You should provide your Moonbase API Key or JWT in the authorization header, in the format: \"Authorization: Bearer MOONBASE_API_KEY\""
}
]
}
{
"type": "errors",
"errors": [
{
"type": "error",
"status": "503",
"title": "Service Unavailable",
"detail": "The service is temporarily unavailable, please try again later."
}
]
}
Views
Retrieve a View
Retrieves the details of an existing view.
GET
/
views
/
{id}
JavaScript
import Moonbase from '@moonbaseai/sdk';const client = new Moonbase({ apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted});const view = await client.views.retrieve('id');console.log(view.id);
require "moonbase"
moonbase = Moonbase::Client.new(api_key: "My API Key")
view = moonbase.views.retrieve("id")
puts(view)
import os
from moonbase import Moonbase
client = Moonbase(
api_key=os.environ.get("MOONBASE_API_KEY"), # This is the default and can be omitted
)
view = client.views.retrieve(
"id",
)
print(view.id)
{
"type": "errors",
"errors": [
{
"type": "error",
"status": "400",
"title": "Bad Request",
"detail": "The request could not be understood due to malformed syntax or invalid parameters."
}
]
}
{
"type": "errors",
"errors": [
{
"type": "error",
"status": "401",
"title": "Unauthorized",
"detail": "Invalid or missing API key or JWT. You should provide your Moonbase API Key or JWT in the authorization header, in the format: \"Authorization: Bearer MOONBASE_API_KEY\""
}
]
}
Fields whose values group the view's items. Empty when the view is not grouped.
Maximum array length: 1
Identifies a field directly (name) or through relations (organization.name, deals.owner.email). Every segment before the last is a relation field; the last is the field you want. Keys preferred; use ids to disambiguate where there are multiple allowed collections.
Time at which the object was last updated, as an ISO 8601 timestamp in UTC.
⌘I
{"docsConfig":{"theme":"willow","$schema":"https://mintlify.com/docs.json","name":"Moonbase","colors":{"primary":"#155dfc","light":"#155dfc","dark":"#155dfc"},"logo":{"light":"https://mintcdn.com/moonbase/AOEZOe7JnGuxVPHu/logo/light.png?fit=max\u0026auto=format\u0026n=AOEZOe7JnGuxVPHu\u0026q=85\u0026s=925de8fb858a642820b533b6ebbfd861","dark":"https://mintcdn.com/moonbase/AOEZOe7JnGuxVPHu/logo/dark.png?fit=max\u0026auto=format\u0026n=AOEZOe7JnGuxVPHu\u0026q=85\u0026s=86e5b56f5f16ddfa46525172b52a9e57"},"favicon":"https://mintcdn.com/moonbase/tG7_VarB-j-JYoLL/favicon.svg?fit=max\u0026auto=format\u0026n=tG7_VarB-j-JYoLL\u0026q=85\u0026s=b14b2756b09ff19a9e9d38991fa822aa","api":{"openapi":{"source":"https://app.stainless.com/api/spec/documented/moonbase-sdk/openapi.documented.yml","directory":"api-reference"},"examples":{"languages":["javascript","ruby","python","go","curl"]}},"navbar":{"links":[{"href":"mailto:support@moonbase.ai","label":"Support"}]},"footer":{"socials":{"x":"https://x.com/moonbaseai","linkedin":"https://linkedin.com/company/moonbaseai"}},"seo":{"metatags":{"robots":"noindex"}},"integrations":{"posthog":{"apiKey":"phc_FrjDVmjzOx0un0e7dgMg9R6mMX2GbvzSMvLYWC5jUT4"}},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"moonbase","hasAudioNarration":false,"actualSubdomain":"moonbase","customDomains":["docs.moonbase.ai"],"gitSource":{"type":"github","owner":"moonbaseai","repo":"moonbase0","deployBranch":"main","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a517ea5f5f16bde6e19de83","collectionId":"3908b917-4852-40c8-8db5-3c6cb89bc682","schemaVersion":"v3"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae9260fb6c76232801087df:success","clientVersion":"0.0.4054","searchFilterCounts":[{"language":"default","tag":"API Reference","count":205},{"language":"default","tag":"Collections","count":37},{"language":"default","tag":"Library","count":23},{"language":"default","tag":"Webhooks","count":23},{"language":"default","tag":"Events","count":18},{"language":"default","tag":"Marketing","count":13},{"language":"default","tag":"Inboxes","count":13},{"language":"default","tag":"Items","count":8},{"language":"default","tag":"Messages","count":7},{"language":"default","tag":"Core Concepts","count":6}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":true},"customCss":[],"page":{"pagePath":"api-reference/views/get","slug":"/api-reference/views/get","pageMetadata":{"title":"Retrieve a View","openapi":"GET /views/{id}","sidebarTitle":"Retrieve a View","description":"Retrieves the details of an existing view.","href":"/api-reference/views/get"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieves the details of an existing view.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Retrieve a View","openapi":"GET /views/{id}","sidebarTitle":"Retrieve a View","description":"Retrieves the details of an existing view.","href":"/api-reference/views/get"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Retrieve a view","description":"Retrieves the details of an existing view.","parameters":["5feb0add-a427-46b1-8b66-2d28fbfac1a1"],"responses":{"200":"ce325861-4582-4c7d-b175-6f9bc13c3a69","400":"62fc214c-8dad-49f2-b2b8-4afdbac65216","401":"33e41cee-d135-4868-9f0a-a08d958ab689","403":"2f43066a-2b27-4c23-b61e-9fd7a7b332f7","404":"38735cbc-8724-4f10-b00a-aa198499d851","429":"5584519e-fad1-4e92-8060-0710ac5a4524","500":"b0dd9ccf-fdad-4f10-a3f5-c250e4c53b17","503":"356726fb-b1a2-4a15-8fa3-d7dedf7aeaae"},"tags":["Collections"],"x-codeSamples":[{"lang":"JavaScript","source":"import Moonbase from '@moonbaseai/sdk';\n\nconst client = new Moonbase({\n apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted\n});\n\nconst view = await client.views.retrieve('id');\n\nconsole.log(view.id);"},{"lang":"Python","source":"import os\nfrom moonbase import Moonbase\n\nclient = Moonbase(\n api_key=os.environ.get(\"MOONBASE_API_KEY\"), # This is the default and can be omitted\n)\nview = client.views.retrieve(\n \"id\",\n)\nprint(view.id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/moonbaseai/moonbase-sdk-go\"\n\t\"github.com/moonbaseai/moonbase-sdk-go/option\"\n)\n\nfunc main() {\n\tclient := moonbase.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tview, err := client.Views.Get(context.TODO(), \"id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", view.ID)\n}\n"},{"lang":"Ruby","source":"require \"moonbase\"\n\nmoonbase = Moonbase::Client.new(api_key: \"My API Key\")\n\nview = moonbase.views.retrieve(\"id\")\n\nputs(view)"}],"method":"get","type":"path","servers":["7a9e75d9-6b0b-44c3-8610-e4a9e3520de1"],"security":["148a69f3-74d8-46da-a68b-227d2b56d42f"],"path":"/views/{id}","baseUrlOptions":["https://api.moonbase.ai/v0"],"title":"Retrieve a view","codeSamples":[{"lang":"JavaScript","source":"import Moonbase from '@moonbaseai/sdk';\n\nconst client = new Moonbase({\n apiKey: process.env['MOONBASE_API_KEY'], // This is the default and can be omitted\n});\n\nconst view = await client.views.retrieve('id');\n\nconsole.log(view.id);"},{"lang":"Python","source":"import os\nfrom moonbase import Moonbase\n\nclient = Moonbase(\n api_key=os.environ.get(\"MOONBASE_API_KEY\"), # This is the default and can be omitted\n)\nview = client.views.retrieve(\n \"id\",\n)\nprint(view.id)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/moonbaseai/moonbase-sdk-go\"\n\t\"github.com/moonbaseai/moonbase-sdk-go/option\"\n)\n\nfunc main() {\n\tclient := moonbase.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tview, err := client.Views.Get(context.TODO(), \"id\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", view.ID)\n}\n"},{"lang":"Ruby","source":"require \"moonbase\"\n\nmoonbase = Moonbase::Client.new(api_key: \"My API Key\")\n\nview = moonbase.views.retrieve(\"id\")\n\nputs(view)"}],"requestExampleLanguages":["javascript","ruby","python","go","bash"],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"5feb0add-a427-46b1-8b66-2d28fbfac1a1":{"name":"id","in":"path","required":true,"schema":{"type":"string","isRequired":true,"description":"The ID of the view to retrieve.","uniqueKey":"","typeLabel":"string"},"description":"The ID of the view to retrieve.","explode":true}},"responses":{"ce325861-4582-4c7d-b175-6f9bc13c3a69":{"description":"Successful response.","content":{"application/json":{"schema":{"title":"View","description":"A View represents a saved configuration for displaying items in a collection, including filters and sorting rules.","type":"object","properties":{"type":{"description":"String representing the object’s type. Always `view` for this object.","type":"string","const":"view","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"id":{"description":"Unique identifier for the object.","type":"string","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"view_type":{"description":"The type of view, such as `table` or `board`.","type":"string","enum":["table","board"],"isRequired":true,"uniqueKey":"view_type","typeLabel":"enum\u003cstring>"},"name":{"description":"The name of the view.","type":"string","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"collection":{"title":"CollectionPointer","description":"The `Collection` this view belongs to.","type":"object","properties":{"type":{"description":"String representing the object’s type. Always `collection` for this object.","type":"string","const":"collection","isRequired":true,"uniqueKey":"collection.type","typeLabel":"string"},"id":{"description":"Unique identifier of the collection.","type":"string","isRequired":true,"uniqueKey":"collection.id","typeLabel":"string"},"ref":{"description":"The stable, machine-readable reference identifier of the collection.","type":"string","isRequired":true,"uniqueKey":"collection.ref","typeLabel":"string"}},"required":["type","id","ref"],"isRequired":true,"uniqueKey":"collection","typeLabel":"CollectionPointer · object"},"filter":{"oneOf":[{"type":"null","description":"The filter applied to the view's items, or `null` when the view has no filter.","isRequired":true,"uniqueKey":"filter.oneOf.0","typeLabel":"null"},{"type":"object","title":"Match Value","description":"The filter applied to the view's items, or `null` when the view has no filter.","required":["op","field","value"],"properties":{"op":{"description":"The matching operator for this filter.","type":"string","enum":["starts_with","ends_with","contains","not_contains","eq","not_eq","gt","lt","gte","lte"],"isRequired":true,"uniqueKey":"filter.oneOf.1.op","typeLabel":"enum\u003cstring>"},"field":{"description":"The id or key of the field in which values are matched, or a path to the field in which values are matched.","type":"string","isRequired":true,"uniqueKey":"filter.oneOf.1.field","typeLabel":"string"},"value":{"oneOf":[{"type":"string","description":"The value to match against. Use ISO8601 format for dates and datetime fields. For date fields, the time portion of the date-time will be ignored. For currency fields, the amount should be in the smallest unit of currency (eg: cents for USD).","isRequired":true,"uniqueKey":"filter.oneOf.1.value.oneOf.0","typeLabel":"string"},{"type":"number","description":"The value to match against. Use ISO8601 format for dates and datetime fields. For date fields, the time portion of the date-time will be ignored. For currency fields, the amount should be in the smallest unit of currency (eg: cents for USD).","isRequired":true,"uniqueKey":"filter.oneOf.1.value.oneOf.1","typeLabel":"number"},{"type":"boolean","description":"The value to match against. Use ISO8601 format for dates and datetime fields. For date fields, the time portion of the date-time will be ignored. For currency fields, the amount should be in the smallest unit of currency (eg: cents for USD).","isRequired":true,"uniqueKey":"filter.oneOf.1.value.oneOf.2","typeLabel":"boolean"}],"isRequired":true,"uniqueKey":"filter.oneOf.1.value","typeLabel":"string | number | boolean"}},"isRequired":true,"uniqueKey":"filter.oneOf.1","typeLabel":"Match Value · object"},{"type":"object","title":"Value Exists","description":"The filter applied to the view's items, or `null` when the view has no filter.","required":["op","field"],"properties":{"op":{"type":"string","const":"exists","isRequired":true,"uniqueKey":"filter.oneOf.2.op","typeLabel":"string"},"field":{"description":"The id or key of the field for which a value must exist, or a path to the field for which a value must exist.","type":"string","isRequired":true,"uniqueKey":"filter.oneOf.2.field","typeLabel":"string"}},"isRequired":true,"uniqueKey":"filter.oneOf.2","typeLabel":"Value Exists · object"},{"type":"object","title":"AND","description":"The filter applied to the view's items, or `null` when the view has no filter.","required":["op","filters"],"properties":{"op":{"type":"string","const":"and","isRequired":true,"uniqueKey":"filter.oneOf.3.op","typeLabel":"string"},"filters":{"description":"An array of filters, ALL of which must be satisfied for this `and` filter to match.","type":"array","items":{"$circularRef":"2e642d6f-3947-4dc4-bb16-25095b07aab2"},"isRequired":true,"uniqueKey":"filter.oneOf.3.filters","typeLabel":"array"}},"isRequired":true,"uniqueKey":"filter.oneOf.3","typeLabel":"AND · object"},{"type":"object","title":"OR","description":"The filter applied to the view's items, or `null` when the view has no filter.","required":["op","filters"],"properties":{"op":{"type":"string","const":"or","isRequired":true,"uniqueKey":"filter.oneOf.4.op","typeLabel":"string"},"filters":{"description":"An array of filters, ANY of which must be satisfied for this `or` filter to match.","type":"array","items":{"$circularRef":"2e642d6f-3947-4dc4-bb16-25095b07aab2"},"isRequired":true,"uniqueKey":"filter.oneOf.4.filters","typeLabel":"array"}},"isRequired":true,"uniqueKey":"filter.oneOf.4","typeLabel":"OR · object"},{"type":"object","title":"NOT","description":"The filter applied to the view's items, or `null` when the view has no filter.","required":["op","filter"],"properties":{"op":{"type":"string","const":"not","isRequired":true,"uniqueKey":"filter.oneOf.5.op","typeLabel":"string"},"filter":{"description":"A filter which must NOT match in order for this `not` filter to match.","isRequired":true,"uniqueKey":"filter.oneOf.5.filter","typeLabel":"any"}},"isRequired":true,"uniqueKey":"filter.oneOf.5","typeLabel":"NOT · object"}],"isRequired":true,"uniqueKey":"filter","typeLabel":"null | Match Value · object | Value Exists · object | AND · object | OR · object | NOT · object"},"sort":{"description":"Sort items returned by the specified fields. Empty when the view has no sort.","type":"array","items":{"type":"string","uniqueKey":"sort.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"sort","typeLabel":"string[]"},"groups":{"description":"Fields whose values group the view's items. Empty when the view is not grouped.","type":"array","maxItems":1,"items":{"description":"Identifies a field directly (`name`) or through relations (`organization.name`, `deals.owner.email`). Every segment before the last is a relation field; the last is the field you want. Keys preferred; use ids to disambiguate where there are multiple allowed collections.","type":"string","uniqueKey":"groups.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"groups","typeLabel":"string[]"},"aggregates":{"description":"The metrics computed over the view's items.","type":"array","items":{"oneOf":[{"type":"object","title":"Item Count","description":"Counts the view's items.","required":["type"],"properties":{"type":{"type":"string","const":"item_count","isRequired":true,"uniqueKey":"aggregates.items.[INDEX].oneOf.0.type","typeLabel":"string"},"group":{"description":"An optional field whose values bucket the counts.","type":"string","uniqueKey":"aggregates.items.[INDEX].oneOf.0.group","typeLabel":"string"}},"uniqueKey":"aggregates.items.[INDEX].oneOf.0","typeLabel":"Item Count · object"},{"type":"object","title":"Field Statistic","description":"Computes a statistic over the values of a field.","required":["type","statistic","value"],"properties":{"type":{"type":"string","const":"field_statistic","isRequired":true,"uniqueKey":"aggregates.items.[INDEX].oneOf.1.type","typeLabel":"string"},"statistic":{"description":"The statistic to compute. Scalar statistics (sum, mean, max, min) require a number field as `value`.","type":"string","enum":["count","sum","mean","max","min","filled_percentage"],"isRequired":true,"uniqueKey":"aggregates.items.[INDEX].oneOf.1.statistic","typeLabel":"enum\u003cstring>"},"value":{"description":"The field whose values the statistic is computed over.","type":"string","isRequired":true,"uniqueKey":"aggregates.items.[INDEX].oneOf.1.value","typeLabel":"string"},"group":{"description":"An optional field whose values bucket the statistic.","type":"string","uniqueKey":"aggregates.items.[INDEX].oneOf.1.group","typeLabel":"string"},"weight":{"description":"An optional percentage field used to weight the statistic. Only supported for scalar statistics.","type":"string","uniqueKey":"aggregates.items.[INDEX].oneOf.1.weight","typeLabel":"string"}},"uniqueKey":"aggregates.items.[INDEX].oneOf.1","typeLabel":"Field Statistic · object"}],"uniqueKey":"aggregates.items.[INDEX]","typeLabel":"Item Count · object | Field Statistic · object"},"isRequired":true,"uniqueKey":"aggregates","typeLabel":"(Item Count · object | Field Statistic · object)[]"},"fields":{"description":"The view's columns, in display order.","type":"array","minItems":1,"items":{"title":"ViewField","description":"A column of the view.","type":"object","properties":{"field":{"description":"The field shown in this column.","type":"string","isRequired":true,"uniqueKey":"fields.items.[INDEX].field","typeLabel":"string"},"display_fields":{"description":"Which fields of the related item to show, relative to the related collection. Omitted means the related collection's default display fields.","type":"array","items":{"description":"Identifies a field directly (`name`) or through relations (`organization.name`, `deals.owner.email`). Every segment before the last is a relation field; the last is the field you want. Keys preferred; use ids to disambiguate where there are multiple allowed collections.","type":"string","uniqueKey":"fields.items.[INDEX].display_fields.items.[INDEX]","typeLabel":"string"},"uniqueKey":"fields.items.[INDEX].display_fields","typeLabel":"string[]"},"is_pinned":{"description":"Whether the column is pinned.","type":"boolean","uniqueKey":"fields.items.[INDEX].is_pinned","typeLabel":"boolean"},"size":{"oneOf":[{"type":"number","description":"The column width: a number of pixels, or `fit` (size to content), or `flex` (fill available space).","uniqueKey":"fields.items.[INDEX].size.oneOf.0","typeLabel":"number"},{"type":"string","description":"The column width: a number of pixels, or `fit` (size to content), or `flex` (fill available space).","enum":["fit","flex"],"uniqueKey":"fields.items.[INDEX].size.oneOf.1","typeLabel":"enum\u003cstring>"}],"uniqueKey":"fields.items.[INDEX].size","typeLabel":"number | enum\u003cstring>"},"is_wrapped":{"description":"Whether the column wraps its content.","type":"boolean","uniqueKey":"fields.items.[INDEX].is_wrapped","typeLabel":"boolean"}},"required":["field"],"uniqueKey":"fields.items.[INDEX]","typeLabel":"ViewField · object"},"isRequired":true,"uniqueKey":"fields","typeLabel":"ViewField · object[]"},"relation_value_filters":{"description":"Filters limiting which related items the view's relation columns show.","type":"array","items":{"title":"ViewRelationValueFilter","description":"Limits which related items a relation column shows: only related items matching `filter` appear.","type":"object","properties":{"field":{"description":"The relation column whose related items are filtered.","type":"string","isRequired":true,"uniqueKey":"relation_value_filters.items.[INDEX].field","typeLabel":"string"},"filter":{"oneOf":[{"type":"object","title":"Match Value","description":"The filter the related items must match. Field paths are relative to the related collection.","required":["op","field","value"],"properties":{"op":{"description":"The matching operator for this filter.","type":"string","enum":["starts_with","ends_with","contains","not_contains","eq","not_eq","gt","lt","gte","lte"],"isRequired":true,"uniqueKey":"relation_value_filters.items.[INDEX].filter.oneOf.0.op","typeLabel":"enum\u003cstring>"},"field":{"description":"The id or key of the field in which values are matched, or a path to the field in which values are matched.","type":"string","isRequired":true,"uniqueKey":"relation_value_filters.items.[INDEX].filter.oneOf.0.field","typeLabel":"string"},"value":{"oneOf":[{"type":"string","description":"The value to match against. Use ISO8601 format for dates and datetime fields. For date fields, the time portion of the date-time will be ignored. For currency fields, the amount should be in the smallest unit of currency (eg: cents for USD).","isRequired":true,"uniqueKey":"relation_value_filters.items.[INDEX].filter.oneOf.0.value.oneOf.0","typeLabel":"string"},{"type":"number","description":"The value to match against. Use ISO8601 format for dates and datetime fields. For date fields, the time portion of the date-time will be ignored. For currency fields, the amount should be in the smallest unit of currency (eg: cents for USD).","isRequired":true,"uniqueKey":"relation_value_filters.items.[INDEX].filter.oneOf.0.value.oneOf.1","typeLabel":"number"},{"type":"boolean","description":"The value to match against. Use ISO8601 format for dates and datetime fields. For date fields, the time portion of the date-time will be ignored. For currency fields, the amount should be in the smallest unit of currency (eg: cents for USD).","isRequired":true,"uniqueKey":"relation_value_filters.items.[INDEX].filter.oneOf.0.value.oneOf.2","typeLabel":"boolean"}],"isRequired":true,"uniqueKey":"relation_value_filters.items.[INDEX].filter.oneOf.0.value","typeLabel":"string | number | boolean"}},"isRequired":true,"uniqueKey":"relation_value_filters.items.[INDEX].filter.oneOf.0","typeLabel":"Match Value · object"},{"type":"object","title":"Value Exists","description":"The filter the related items must match. Field paths are relative to the related collection.","required":["op","field"],"properties":{"op":{"type":"string","const":"exists","isRequired":true,"uniqueKey":"relation_value_filters.items.[INDEX].filter.oneOf.1.op","typeLabel":"string"},"field":{"description":"The id or key of the field for which a value must exist, or a path to the field for which a value must exist.","type":"string","isRequired":true,"uniqueKey":"relation_value_filters.items.[INDEX].filter.oneOf.1.field","typeLabel":"string"}},"isRequired":true,"uniqueKey":"relation_value_filters.items.[INDEX].filter.oneOf.1","typeLabel":"Value Exists · object"},{"type":"object","title":"AND","description":"The filter the related items must match. Field paths are relative to the related collection.","required":["op","filters"],"properties":{"op":{"type":"string","const":"and","isRequired":true,"uniqueKey":"relation_value_filters.items.[INDEX].filter.oneOf.2.op","typeLabel":"string"},"filters":{"description":"An array of filters, ALL of which must be satisfied for this `and` filter to match.","type":"array","items":{"$circularRef":"2e642d6f-3947-4dc4-bb16-25095b07aab2"},"isRequired":true,"uniqueKey":"relation_value_filters.items.[INDEX].filter.oneOf.2.filters","typeLabel":"array"}},"isRequired":true,"uniqueKey":"relation_value_filters.items.[INDEX].filter.oneOf.2","typeLabel":"AND · object"},{"type":"object","title":"OR","description":"The filter the related items must match. Field paths are relative to the related collection.","required":["op","filters"],"properties":{"op":{"type":"string","const":"or","isRequired":true,"uniqueKey":"relation_value_filters.items.[INDEX].filter.oneOf.3.op","typeLabel":"string"},"filters":{"description":"An array of filters, ANY of which must be satisfied for this `or` filter to match.","type":"array","items":{"$circularRef":"2e642d6f-3947-4dc4-bb16-25095b07aab2"},"isRequired":true,"uniqueKey":"relation_value_filters.items.[INDEX].filter.oneOf.3.filters","typeLabel":"array"}},"isRequired":true,"uniqueKey":"relation_value_filters.items.[INDEX].filter.oneOf.3","typeLabel":"OR · object"},{"type":"object","title":"NOT","description":"The filter the related items must match. Field paths are relative to the related collection.","required":["op","filter"],"properties":{"op":{"type":"string","const":"not","isRequired":true,"uniqueKey":"relation_value_filters.items.[INDEX].filter.oneOf.4.op","typeLabel":"string"},"filter":{"description":"A filter which must NOT match in order for this `not` filter to match.","isRequired":true,"uniqueKey":"relation_value_filters.items.[INDEX].filter.oneOf.4.filter","typeLabel":"any"}},"isRequired":true,"uniqueKey":"relation_value_filters.items.[INDEX].filter.oneOf.4","typeLabel":"NOT · object"}],"isRequired":true,"uniqueKey":"relation_value_filters.items.[INDEX].filter","typeLabel":"Match Value · object | Value Exists · object | AND · object | OR · object | NOT · object"}},"required":["field","filter"],"uniqueKey":"relation_value_filters.items.[INDEX]","typeLabel":"ViewRelationValueFilter · object"},"isRequired":true,"uniqueKey":"relation_value_filters","typeLabel":"ViewRelationValueFilter · object[]"},"created_at":{"description":"Time at which the object was created, as an ISO 8601 timestamp in UTC.","type":"string","format":"date-time","isRequired":true,"uniqueKey":"created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"description":"Time at which the object was last updated, as an ISO 8601 timestamp in UTC.","type":"string","format":"date-time","isRequired":true,"uniqueKey":"updated_at","typeLabel":"string\u003cdate-time>"}},"required":["collection","name","type","id","view_type","filter","sort","groups","aggregates","fields","relation_value_filters","created_at","updated_at"],"uniqueKey":"","typeLabel":"View · object"},"examples":{"Default":{"title":"Default","value":{"id":"1CLJt2uf2UnqHG2xD5kQvf","type":"view","relation_value_filters":[],"created_at":"2025-02-17T16:00:00.000Z","updated_at":"2025-02-17T16:00:00.000Z","view_type":"board","name":"Pipeline","collection":{"id":"1CLJt2ue2wzMeQ5XRuS4TZ","type":"collection","ref":"deals"},"filter":{"op":"contains","field":"name","value":"Acme"},"sort":["-name"],"groups":["stage"],"aggregates":[{"type":"field_statistic","statistic":"sum","value":"amount","group":"stage"}],"fields":[{"field":"name"},{"field":"organization"},{"field":"owner"},{"field":"amount"},{"field":"probability"},{"field":"close_date"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"62fc214c-8dad-49f2-b2b8-4afdbac65216":{"description":"","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"400","title":"Bad Request","detail":"The request could not be understood due to malformed syntax or invalid parameters."}]}}},"exampleType":"examples"}},"exampleType":"examples"},"33e41cee-d135-4868-9f0a-a08d958ab689":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"401","title":"Unauthorized","detail":"Invalid or missing API key or JWT. You should provide your Moonbase API Key or JWT in the authorization header, in the format: \"Authorization: Bearer MOONBASE_API_KEY\""}]}}},"exampleType":"examples"}},"exampleType":"examples"},"2f43066a-2b27-4c23-b61e-9fd7a7b332f7":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"403","title":"Forbidden"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"38735cbc-8724-4f10-b00a-aa198499d851":{"description":"","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Not found":{"title":"Not found","value":{"type":"errors","errors":[{"type":"error","status":"404","title":"Not Found"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"5584519e-fad1-4e92-8060-0710ac5a4524":{"description":"Too Many Requests","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"429","title":"Too Many Requests"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"b0dd9ccf-fdad-4f10-a3f5-c250e4c53b17":{"description":"Internal Server Error","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"500","title":"Internal Server Error"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"356726fb-b1a2-4a15-8fa3-d7dedf7aeaae":{"description":"Service Unavailable","content":{"application/json":{"schema":{"title":"Errors","description":"The Errors object is a container that holds multiple Error objects when an API request encounters several validation or processing issues. This allows the API to return comprehensive feedback about all problems encountered in a single response.","type":"object","properties":{"type":{"type":"string","const":"errors","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"errors":{"description":"A list of `Error` objects.","type":"array","items":{"title":"Error","description":"The Error object represents a single error that occurred during API request processing. It provides detailed information about what went wrong, including a unique identifier, status code, and human-readable descriptions to help developers understand and resolve the issue.","type":"object","properties":{"type":{"type":"string","const":"error","isRequired":true,"uniqueKey":"errors.items.[INDEX].type","typeLabel":"string"},"id":{"description":"A unique identifier for this specific error instance.","type":"string","uniqueKey":"errors.items.[INDEX].id","typeLabel":"string"},"status":{"description":"The HTTP status code for this problem, as a string.","type":"string","uniqueKey":"errors.items.[INDEX].status","typeLabel":"string"},"code":{"description":"An application-specific error code string.","type":"string","uniqueKey":"errors.items.[INDEX].code","typeLabel":"string"},"title":{"description":"A short, human-readable summary of the problem.","type":"string","uniqueKey":"errors.items.[INDEX].title","typeLabel":"string"},"detail":{"description":"A human-readable explanation of this specific error.","type":"string","uniqueKey":"errors.items.[INDEX].detail","typeLabel":"string"},"source":{"title":"ErrorSource","description":"An object containing more specific information about the part of the request that caused the error.","type":"object","properties":{"pointer":{"description":"A JSON Pointer [RFC6901] to the associated entity in the request document.","type":"string","uniqueKey":"errors.items.[INDEX].source.pointer","typeLabel":"string"},"parameter":{"description":"A string indicating which URI query parameter caused the error.","type":"string","uniqueKey":"errors.items.[INDEX].source.parameter","typeLabel":"string"}},"required":[],"uniqueKey":"errors.items.[INDEX].source","typeLabel":"ErrorSource · object"},"meta":{"type":"object","additionalProperties":true,"uniqueKey":"errors.items.[INDEX].meta","typeLabel":"object"}},"required":["type"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"Error · object"},"uniqueKey":"errors","typeLabel":"Error · object[]"}},"required":["type"],"uniqueKey":"","typeLabel":"Errors · object"},"examples":{"Default":{"title":"Default","value":{"type":"errors","errors":[{"type":"error","status":"503","title":"Service Unavailable","detail":"The service is temporarily unavailable, please try again later."}]}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"148a69f3-74d8-46da-a68b-227d2b56d42f":{"bearer":{"type":"http","scheme":"bearer","description":"Your Moonbase API key.","scopes":[]}}},"servers":{"7a9e75d9-6b0b-44c3-8610-e4a9e3520de1":{"url":"https://api.moonbase.ai/v0"}},"schemas":{"2e642d6f-3947-4dc4-bb16-25095b07aab2":{"oneOf":[{"type":"object","title":"Match Value","description":"Include only items with a value in the given `field` that satisfies the `op` condition.","required":["op","field","value"],"properties":{"op":{"description":"The matching operator for this filter.","type":"string","enum":["starts_with","ends_with","contains","not_contains","eq","not_eq","gt","lt","gte","lte"],"isRequired":true},"field":{"description":"The id or key of the field in which values are matched, or a path to the field in which values are matched.","type":"string","isRequired":true},"value":{"oneOf":[{"type":"string","description":"The value to match against. Use ISO8601 format for dates and datetime fields. For date fields, the time portion of the date-time will be ignored. For currency fields, the amount should be in the smallest unit of currency (eg: cents for USD).","isRequired":true},{"type":"number","description":"The value to match against. Use ISO8601 format for dates and datetime fields. For date fields, the time portion of the date-time will be ignored. For currency fields, the amount should be in the smallest unit of currency (eg: cents for USD).","isRequired":true},{"type":"boolean","description":"The value to match against. Use ISO8601 format for dates and datetime fields. For date fields, the time portion of the date-time will be ignored. For currency fields, the amount should be in the smallest unit of currency (eg: cents for USD).","isRequired":true}],"isRequired":true}}},{"type":"object","title":"Value Exists","description":"Include only items that have a value in the given `field`.","required":["op","field"],"properties":{"op":{"type":"string","const":"exists","isRequired":true},"field":{"description":"The id or key of the field for which a value must exist, or a path to the field for which a value must exist.","type":"string","isRequired":true}}},{"type":"object","title":"AND","description":"Include only items that match ALL of the filters in `filters`.","required":["op","filters"],"properties":{"op":{"type":"string","const":"and","isRequired":true},"filters":{"description":"An array of filters, ALL of which must be satisfied for this `and` filter to match.","type":"array","items":{"$circularRef":"2e642d6f-3947-4dc4-bb16-25095b07aab2"},"isRequired":true}}},{"type":"object","title":"OR","description":"Include only items that match ANY of the filters in `filters`.","required":["op","filters"],"properties":{"op":{"type":"string","const":"or","isRequired":true},"filters":{"description":"An array of filters, ANY of which must be satisfied for this `or` filter to match.","type":"array","items":{"$circularRef":"2e642d6f-3947-4dc4-bb16-25095b07aab2"},"isRequired":true}}},{"type":"object","title":"NOT","description":"Include only items that do NOT match the nested `filter`.","required":["op","filter"],"properties":{"op":{"type":"string","const":"not","isRequired":true},"filter":{"description":"A filter which must NOT match in order for this `not` filter to match.","isRequired":true}}}]}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Your Moonbase API key.","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Your Moonbase API key.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearer","name":"Authorization"}],"title":"bearer"}]},"originalFileLocation":"https://app.stainless.com/api/spec/documented/moonbase-sdk/openapi.documented.yml"},"subdomain":"moonbase","siteName":"Moonbase","title":"Retrieve a View - Moonbase","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-23T02:25:15.796Z","originalFileLocation":"api-reference/views/get.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieves the details of an existing view.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Moonbase\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003cmeta data-mint-head name=\"robots\" content=\"noindex\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Retrieve a View - Moonbase\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieves the details of an existing view.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Moonbase\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.moonbase.ai/api-reference/views/get\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://moonbase.mintlify.app/_mintlify/api/og/v2?division=Views\u0026amp;title=Retrieve+a+View\u0026amp;description=Retrieves+the+details+of+an+existing+view.\u0026amp;theme=8ee57b81fe9be2588598191a\u0026amp;signature=02f0ef2293531d369648ef0d437e980e983e437577a3510db4417d92e21e1f36\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Retrieve a View - Moonbase\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieves the details of an existing view.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://moonbase.mintlify.app/_mintlify/api/og/v2?division=Views\u0026amp;title=Retrieve+a+View\u0026amp;description=Retrieves+the+details+of+an+existing+view.\u0026amp;theme=8ee57b81fe9be2588598191a\u0026amp;signature=02f0ef2293531d369648ef0d437e980e983e437577a3510db4417d92e21e1f36\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/moonbase/ssbQeZU_oaSREB8c/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Moonbase\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#155dfc\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.moonbase.ai/api-reference/views/get\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/views/get.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.moonbase.ai/#organization\",\"name\":\"Moonbase\",\"url\":\"https://docs.moonbase.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/moonbase/AOEZOe7JnGuxVPHu/logo/light.png?fit=max\u0026auto=format\u0026n=AOEZOe7JnGuxVPHu\u0026q=85\u0026s=925de8fb858a642820b533b6ebbfd861\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.moonbase.ai#website\",\"name\":\"Moonbase\",\"url\":\"https://docs.moonbase.ai\",\"publisher\":{\"@id\":\"https://docs.moonbase.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.moonbase.ai/api-reference/views/get#webpage\",\"url\":\"https://docs.moonbase.ai/api-reference/views/get\",\"name\":\"Retrieve a View\",\"description\":\"Retrieves the details of an existing view.\",\"dateModified\":\"2026-01-23T02:25:15.796Z\",\"isPartOf\":{\"@id\":\"https://docs.moonbase.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.moonbase.ai/api-reference/views/get#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.moonbase.ai/api-reference/views/get#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://docs.moonbase.ai/api-reference/search\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Collections\",\"item\":\"https://docs.moonbase.ai/api-reference/collections/list\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Views\",\"item\":\"https://docs.moonbase.ai/api-reference/views/list\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Retrieve a View\",\"item\":\"https://docs.moonbase.ai/api-reference/views/get\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.moonbase.ai/api-reference/views/get#apireference\",\"headline\":\"Retrieve a View\",\"name\":\"Retrieve a View\",\"description\":\"Retrieves the details of an existing view.\",\"url\":\"https://docs.moonbase.ai/api-reference/views/get\",\"mainEntityOfPage\":{\"@id\":\"https://docs.moonbase.ai/api-reference/views/get#webpage\"},\"dateModified\":\"2026-01-23T02:25:15.796Z\",\"publisher\":{\"@id\":\"https://docs.moonbase.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.moonbase.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Moonbase\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Moonbase","nav":{"global":{"anchors":[]},"tabs":[{"tab":"Welcome","pages":[{"title":"Welcome","href":"/home"}]},{"tab":"API Reference","groups":[{"group":"Introduction","pages":[{"title":"Overview","href":"/api-reference/introduction"}]},{"group":"Core Concepts","pages":[{"title":"SDKs","sidebarTitle":"SDKs","href":"/api-reference/libraries"},{"title":"Authentication","sidebarTitle":"Authentication","href":"/api-reference/authentication"},{"title":"Errors","sidebarTitle":"Errors","href":"/api-reference/error-handling"},{"title":"Rate Limits","sidebarTitle":"Rate Limits","href":"/api-reference/rate-limiting"},{"title":"Pagination","sidebarTitle":"Pagination","href":"/api-reference/pagination"},{"title":"Webhooks","sidebarTitle":"Webhooks","href":"/webhook-reference/getting-started"}]},{"group":"API Reference","pages":[{"group":"Search","pages":[{"title":"Search Items","openapi":"POST /search","sidebarTitle":"Search Items","href":"/api-reference/search"}]},{"group":"Collections","pages":[{"group":"Collections","pages":[{"title":"List Collections","openapi":"GET /collections","sidebarTitle":"List Collections","href":"/api-reference/collections/list"},{"title":"Retrieve a Collection","openapi":"GET /collections/{id}","sidebarTitle":"Retrieve a Collection","href":"/api-reference/collections/get"},{"title":"Create a Collection","openapi":"POST /collections","sidebarTitle":"Create a Collection","href":"/api-reference/collections/create"},{"title":"Update a Collection","openapi":"PATCH /collections/{id}","sidebarTitle":"Update a Collection","href":"/api-reference/collections/update"},{"title":"Delete a Collection","openapi":"DELETE /collections/{id}","sidebarTitle":"Delete a Collection","href":"/api-reference/collections/delete"},{"title":"Retrieve a Field","openapi":"GET /collections/{collection_id}/fields/{id}","sidebarTitle":"Retrieve a Field","href":"/api-reference/collections/get-field"},{"title":"Create a Field","openapi":"POST /collections/{collection_id}/fields","sidebarTitle":"Create a Field","href":"/api-reference/collections/create-field"},{"title":"Update a Field","openapi":"PATCH /collections/{collection_id}/fields/{id}","sidebarTitle":"Update a Field","href":"/api-reference/collections/update-field"},{"title":"Delete a Field","openapi":"DELETE /collections/{collection_id}/fields/{id}","sidebarTitle":"Delete a Field","href":"/api-reference/collections/delete-field"}]},{"group":"Items","pages":[{"title":"List Items","openapi":"GET /collections/{collection_id}/items","sidebarTitle":"List Items","href":"/api-reference/items/list"},{"title":"Search Collection Items","openapi":"POST /collections/{collection_id}/items/search","sidebarTitle":"Search Collection Items","href":"/api-reference/items/search"},{"title":"Retrieve an Item","openapi":"GET /collections/{collection_id}/items/{id}","sidebarTitle":"Retrieve an Item","href":"/api-reference/items/get"},{"title":"Create an Item","openapi":"POST /collections/{collection_id}/items","sidebarTitle":"Create an Item","href":"/api-reference/items/create"},{"title":"Update an Item","openapi":"PATCH /collections/{collection_id}/items/{id}","sidebarTitle":"Update an Item","href":"/api-reference/items/update"},{"title":"Create or Update an Item","openapi":"POST /collections/{collection_id}/items/upsert","sidebarTitle":"Upsert an Item","href":"/api-reference/items/upsert"},{"title":"Merge Collection Items","openapi":"POST /collections/{collection_id}/items/merge","sidebarTitle":"Merge Collection Items","href":"/api-reference/items/merge"},{"title":"Delete an Item","openapi":"DELETE /collections/{collection_id}/items/{id}","sidebarTitle":"Delete an Item","href":"/api-reference/items/delete"}]},{"group":"Views","pages":[{"title":"List Views","openapi":"GET /views","sidebarTitle":"List Views","description":"Returns a list of views.","href":"/api-reference/views/list"},{"title":"Retrieve a View","openapi":"GET /views/{id}","sidebarTitle":"Retrieve a View","href":"/api-reference/views/get"},{"title":"Create a View","openapi":"POST /views","sidebarTitle":"Create a View","description":"Creates a new view in a collection.","href":"/api-reference/views/create"},{"title":"Update a View","openapi":"PATCH /views/{id}","sidebarTitle":"Update a View","href":"/api-reference/views/update"},{"title":"Delete a View","openapi":"DELETE /views/{id}","sidebarTitle":"Delete a View","href":"/api-reference/views/delete"},{"title":"List Items","openapi":"GET /views/{id}/items","sidebarTitle":"List Items","href":"/api-reference/views/list-items"}]},{"group":"Funnels","pages":[{"title":"List Funnels","openapi":"GET /funnels","sidebarTitle":"List Funnels","href":"/api-reference/funnels/list"},{"title":"Retrieve a Funnel","openapi":"GET /funnels/{id}","sidebarTitle":"Retrieve a Funnel","href":"/api-reference/funnels/get"},{"title":"Create a Funnel","openapi":"POST /funnels","sidebarTitle":"Create a Funnel","href":"/api-reference/funnels/create"},{"title":"Update a Funnel","openapi":"PATCH /funnels/{id}","sidebarTitle":"Update a Funnel","href":"/api-reference/funnels/update"},{"title":"Delete a Funnel","openapi":"DELETE /funnels/{id}","sidebarTitle":"Delete a Funnel","href":"/api-reference/funnels/delete"}]}]},{"group":"Inboxes","pages":[{"group":"Inboxes","pages":[{"title":"List Inboxes","openapi":"GET /inboxes","sidebarTitle":"List Inboxes","href":"/api-reference/inboxes/list"},{"title":"Retrieve an Inbox","openapi":"GET /inboxes/{id}","sidebarTitle":"Retrieve an Inbox","href":"/api-reference/inboxes/get"}]},{"group":"Conversations","pages":[{"title":"List Conversations","openapi":"GET /inbox_conversations","sidebarTitle":"List Conversations","href":"/api-reference/inbox-conversations/list"},{"title":"Retrieve a Conversation","openapi":"GET /inbox_conversations/{id}","sidebarTitle":"Retrieve a Conversation","href":"/api-reference/inbox-conversations/get"}]},{"group":"Messages","pages":[{"title":"List Messages","openapi":"GET /inbox_messages","sidebarTitle":"List Messages","href":"/api-reference/inbox-messages/list"},{"title":"Retrieve a Message","openapi":"GET /inbox_messages/{id}","sidebarTitle":"Retrieve a Message","href":"/api-reference/inbox-messages/get"},{"title":"Create a Draft","openapi":"POST /inbox_messages","sidebarTitle":"Create a Draft","href":"/api-reference/inbox-messages/create"},{"title":"Update a Draft","openapi":"PATCH /inbox_messages/{id}","sidebarTitle":"Update a Draft","href":"/api-reference/inbox-messages/update"},{"title":"Delete a Draft","openapi":"DELETE /inbox_messages/{id}","sidebarTitle":"Delete a Draft","href":"/api-reference/inbox-messages/delete"},{"title":"Add an attachment","openapi":"POST /inbox_messages/{inbox_message_id}/attachments","sidebarTitle":"Add an attachment","href":"/api-reference/inbox-messages/add-attachment"},{"title":"Remove an attachment","openapi":"DELETE /inbox_messages/{inbox_message_id}/attachments/{id}","sidebarTitle":"Remove an attachment","href":"/api-reference/inbox-messages/remove-attachment"}]}]},{"group":"Marketing","pages":[{"group":"Programs","pages":[{"title":"List Programs","openapi":"GET /programs","sidebarTitle":"List Programs","href":"/api-reference/programs/list"},{"title":"Retrieve a Program","openapi":"GET /programs/{id}","sidebarTitle":"Retrieve a Program","href":"/api-reference/programs/get"}]},{"group":"Program Templates","pages":[{"title":"List Program Templates","openapi":"GET /program_templates","sidebarTitle":"List Program Templates","href":"/api-reference/program-templates/list"},{"title":"Retrieve a Program Template","openapi":"GET /program_templates/{id}","sidebarTitle":"Retrieve a Program Template","href":"/api-reference/program-templates/get"}]},{"group":"Program Messages","pages":[{"title":"Send a Message","openapi":"POST /program_messages","sidebarTitle":"Send a Message","href":"/api-reference/program-messages/create"}]},{"group":"Forms","pages":[{"title":"List Forms","openapi":"GET /forms","sidebarTitle":"List Forms","href":"/api-reference/forms/list"},{"title":"Retrieve a Form","openapi":"GET /forms/{id}","sidebarTitle":"Retrieve a Form","href":"/api-reference/forms/get"},{"title":"Create a Form","openapi":"POST /forms","sidebarTitle":"Create a Form","href":"/api-reference/forms/create"},{"title":"Update a Form","openapi":"PATCH /forms/{id}","sidebarTitle":"Update a Form","href":"/api-reference/forms/update"},{"title":"Delete a Form","openapi":"DELETE /forms/{id}","sidebarTitle":"Delete a Form","href":"/api-reference/forms/delete"}]},{"group":"Unsubscribes","pages":[{"title":"List Unsubscribes","openapi":"GET /unsubscribes","sidebarTitle":"List Unsubscribes","href":"/api-reference/unsubscribes/list"},{"title":"Create an Unsubscribe","openapi":"POST /unsubscribes","sidebarTitle":"Create an Unsubscribe","href":"/api-reference/unsubscribes/create"},{"title":"Delete an Unsubscribe","openapi":"DELETE /unsubscribes/{email}","sidebarTitle":"Delete an Unsubscribe","href":"/api-reference/unsubscribes/delete"}]}]},{"group":"Library","pages":[{"group":"Files","pages":[{"title":"List Files","openapi":"GET /files","sidebarTitle":"List Files","href":"/api-reference/files/list"},{"title":"Retrieve a File","openapi":"GET /files/{id}","sidebarTitle":"Retrieve a File","href":"/api-reference/files/get"},{"title":"Upload a File","openapi":"POST /files","sidebarTitle":"Upload a File","href":"/api-reference/files/create"},{"title":"Delete a File","openapi":"DELETE /files/{id}","sidebarTitle":"Delete a File","href":"/api-reference/files/delete"}]},{"group":"Meetings","pages":[{"title":"List Meetings","openapi":"GET /meetings","sidebarTitle":"List Meetings","href":"/api-reference/meetings/list"},{"title":"Retrieve a Meeting","openapi":"GET /meetings/{id}","sidebarTitle":"Retrieve a Meeting","href":"/api-reference/meetings/get"},{"title":"Update a Meeting","openapi":"PATCH /meetings/{id}","sidebarTitle":"Update a Meeting","href":"/api-reference/meetings/update"}]},{"group":"Notes","pages":[{"title":"List Notes","openapi":"GET /notes","sidebarTitle":"List Notes","href":"/api-reference/notes/list"},{"title":"Retrieve a Note","openapi":"GET /notes/{id}","sidebarTitle":"Retrieve a Note","href":"/api-reference/notes/get"},{"title":"Create a Note","openapi":"POST /notes","sidebarTitle":"Create a Note","href":"/api-reference/notes/create"},{"title":"Update a Note","openapi":"PATCH /notes/{id}","sidebarTitle":"Update a Note","href":"/api-reference/notes/update"},{"title":"Delete a Note","openapi":"DELETE /notes/{id}","sidebarTitle":"Delete a Note","href":"/api-reference/notes/delete"}]},{"group":"Calls","pages":[{"title":"List Calls","openapi":"GET /calls","sidebarTitle":"List Calls","href":"/api-reference/calls/list"},{"title":"Retrieve a Call","openapi":"GET /calls/{id}","sidebarTitle":"Retrieve a Call","href":"/api-reference/calls/get"},{"title":"Create a Call","openapi":"POST /calls","sidebarTitle":"Create a Call","href":"/api-reference/calls/create"},{"title":"Create or Update a Call","openapi":"POST /calls/upsert","sidebarTitle":"Upsert a Call","href":"/api-reference/calls/upsert"}]},{"group":"Activities","pages":[{"title":"List Activities","openapi":"GET /activities","sidebarTitle":"List Activities","href":"/api-reference/activities/list"},{"title":"Retrieve an Activity","openapi":"GET /activities/{id}","sidebarTitle":"Retrieve an Activity","href":"/api-reference/activities/get"}]},{"group":"Tagsets","pages":[{"title":"List Tagsets","openapi":"GET /tagsets","sidebarTitle":"List Tagsets","href":"/api-reference/tagsets/list"},{"title":"Retrieve a Tagset","openapi":"GET /tagsets/{id}","sidebarTitle":"Retrieve a Tagset","href":"/api-reference/tagsets/get"},{"title":"Create a Tagset","openapi":"POST /tagsets","sidebarTitle":"Create a Tagset","href":"/api-reference/tagsets/create"},{"title":"Update a Tagset","openapi":"PATCH /tagsets/{id}","sidebarTitle":"Update a Tagset","href":"/api-reference/tagsets/update"},{"title":"Delete a Tagset","openapi":"DELETE /tagsets/{id}","sidebarTitle":"Delete a Tagset","href":"/api-reference/tagsets/delete"}]}]},{"group":"Webhooks","pages":[{"group":"Endpoints","pages":[{"title":"List Endpoints","openapi":"GET /webhook_endpoints","sidebarTitle":"List Endpoints","href":"/api-reference/webhook-endpoints/list"},{"title":"Retrieve an Endpoint","openapi":"GET /webhook_endpoints/{id}","sidebarTitle":"Retrieve an Endpoint","href":"/api-reference/webhook-endpoints/get"},{"title":"Create an Endpoint","openapi":"POST /webhook_endpoints","sidebarTitle":"Create an Endpoint","href":"/api-reference/webhook-endpoints/create"},{"title":"Update an Endpoint","openapi":"PATCH /webhook_endpoints/{id}","sidebarTitle":"Update an Endpoint","href":"/api-reference/webhook-endpoints/update"},{"title":"Delete an Endpoint","openapi":"DELETE /webhook_endpoints/{id}","sidebarTitle":"Delete an Endpoint","href":"/api-reference/webhook-endpoints/delete"}]},{"group":"Events","pages":[{"title":"Call Occurred","openapi":"webhook activity/call_occurred","sidebarTitle":"Call Occurred","href":"/webhook-reference/activities/call-occurred"},{"title":"File Created","openapi":"webhook activity/file_created","sidebarTitle":"File Created","href":"/webhook-reference/activities/file-created"},{"title":"Form Submitted","openapi":"webhook activity/form_submitted","sidebarTitle":"Form Submitted","href":"/webhook-reference/activities/form-submitted"},{"title":"Inbox Message Sent","openapi":"webhook activity/inbox_message_sent","sidebarTitle":"Inbox Message Sent","href":"/webhook-reference/activities/inbox-message-sent"},{"title":"Item Created","openapi":"webhook activity/item_created","sidebarTitle":"Item Created","href":"/webhook-reference/activities/item-created"},{"title":"Item Mentioned","openapi":"webhook activity/item_mentioned","sidebarTitle":"Item Mentioned","href":"/webhook-reference/activities/item-mentioned"},{"title":"Item Merged","openapi":"webhook activity/item_merged","sidebarTitle":"Item Merged","href":"/webhook-reference/activities/item-merged"},{"title":"Meeting Held","openapi":"webhook activity/meeting_held","sidebarTitle":"Meeting Held","href":"/webhook-reference/activities/meeting-held"},{"title":"Meeting Scheduled","openapi":"webhook activity/meeting_scheduled","sidebarTitle":"Meeting Scheduled","href":"/webhook-reference/activities/meeting-scheduled"},{"title":"Note Created","openapi":"webhook activity/note_created","sidebarTitle":"Note Created","href":"/webhook-reference/activities/note-created"},{"title":"Program Message Bounced","openapi":"webhook activity/program_message_bounced","sidebarTitle":"Program Message Bounced","href":"/webhook-reference/activities/program-message-bounced"},{"title":"Program Message Clicked","openapi":"webhook activity/program_message_clicked","sidebarTitle":"Program Message Clicked","href":"/webhook-reference/activities/program-message-clicked"},{"title":"Program Message Complained","openapi":"webhook activity/program_message_complained","sidebarTitle":"Program Message Complained","href":"/webhook-reference/activities/program-message-complained"},{"title":"Program Message Failed","openapi":"webhook activity/program_message_failed","sidebarTitle":"Program Message Failed","href":"/webhook-reference/activities/program-message-failed"},{"title":"Program Message Opened","openapi":"webhook activity/program_message_opened","sidebarTitle":"Program Message Opened","href":"/webhook-reference/activities/program-message-opened"},{"title":"Program Message Sent","openapi":"webhook activity/program_message_sent","sidebarTitle":"Program Message Sent","href":"/webhook-reference/activities/program-message-sent"},{"title":"Program Message Shielded","openapi":"webhook activity/program_message_shielded","sidebarTitle":"Program Message Shielded","href":"/webhook-reference/activities/program-message-shielded"},{"title":"Program Message Unsubscribed","openapi":"webhook activity/program_message_unsubscribed","sidebarTitle":"Program Message Unsubscribed","href":"/webhook-reference/activities/program-message-unsubscribed"}]}]}]}]}]},"basePath":"","title":"Retrieve a View - Moonbase","buildId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","deploymentId":"dpl_345ReqzYaAjzS9QpeJemsKdb7KDj","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-C8RPHPxo.js","utils-0BK-9q6z.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DfjzsUJT.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-B4v9psJ4.js","snippetPresets-CpTQv-Ez.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-BNP-Fvr0.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BSgu6h1D.js","shallow-Biv1i9Gs.js","getApiPlaygroundDisplay-BoGOXhtF.js","CodeSnippet-DvQoT18_.js","CodeSnippets-Dnpa15xT.js","Page-Buji1S4J.js","getPastedJson-xAIyhUFE.js","icon-S6FBih11.js","MethodPill-SaYeUZyk.js","DuplicateIcon-Cs-p3v2Q.js","createIcon-DjCFEoHq.js","DynamicMarkdown-BcnBltEQ.js","SectionHeading-BUBl0eEF.js","axios-vUo_bRtp.js","Markdown-h4cOoD8d.js","clsx-B2v50t8t.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DJnKvr0g.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BHrrjR1K.js"]}